<template>
  <section class="c-role-your-details c-form-section">
    <Title
      :text="data.reason_for_application_title"
      type="secondary"
      :requiredSign="!isPreview"
    />
    <Paragraph
      v-for="p in data.reason_for_application_text"
      :key="p.reason_text"
      :text="p.reason_text"
    />
    <div :class="isPreview ? 'c-preview-box' : ''">
      <FormTextarea
        id="coverLetter"
        v-model.trim="fields.coverLetter.$model"
        :error="formErrorMessagesHandler(fields.coverLetter)"
        size="big"
      />
    </div>
  </section>
</template>

<script>
import Title from "../ui/Title";
import { errorMixins } from "../mixins/formErrors";
import Paragraph from "../ui/Paragraph";
import FormTextarea from "../ui/form/FormTextarea";
import { isPreviewMixin } from "../mixins/isPreview";

export default {
  name: "RoleCoverLetter",
  components: {
    FormTextarea,
    Paragraph,
    Title
  },
  props: {
    fields: {
      type: Object,
      required: true
    }
  },
  mixins: [errorMixins, isPreviewMixin],
  data: function() {
    return {
      data: this.$store.state.data.data.reason_for_application
    };
  }
};
</script>

<style lang="scss">
.c-role-your-details {
  .textarea-wrapper {
    @include breakpoint(overPhone) {
      margin-top: 5rem;
    }
  }
  .c-preview-box {
    @include center-block;
    max-width: 70rem;
    margin-top: 4rem;
    .textarea-wrapper {
      margin: 0;
      padding: 0;
    }
  }
}
</style>
